from package import Package
import utils
from buildutils import download_and_check, configure, make, apply_patch
from Path import Path

class GccCore(Package):
  def full_name (self):
    return "gcc-core-3.4.5"

  def download (self):
    download_and_check ("http://switch.dl.sourceforge.net/sourceforge/mingw/gcc-core-3.4.5-20060117-3.tar.gz", 
                        "33c9fdf7468a3c410f830471d0e3ffb8")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "gcc-core-3.4.5-20060117-3.tar.gz",
                      self.config.PREFIX.join (Path ("mingw")))

  def patch (self):
    pass

  def compile (self):
    pass

  def install (self):
    pass

def packages():
  return [ GccCore() ]
