from package import Package
import utils
from buildutils import download_and_check, configure, make, apply_patch
from Path import Path

class MiniRes(Package):
  def full_name (self):
    return "minires-1.01-1"

  def download (self):
    download_and_check ("http://switch.dl.sourceforge.net/sourceforge/mingw/minires-1.01-1-MSYS-1.0.11-1.tar.bz2",
                        "f39b9565865a1c812728029d28a5d06b")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "minires-1.01-1-MSYS-1.0.11-1.tar.bz2",
                      self.config.PREFIX.join (Path ("msys")))

  def patch (self):
    pass

  def compile (self):
    pass

  def install (self):
    pass

def packages():
  return [ MiniRes() ]
