from package import Package
import utils
from buildutils import download_and_check, configure, make, apply_patch
from Path import Path

class OpenSSL(Package):
  def full_name (self):
    return "openssl-0.9.8g"

  def download (self):
    download_and_check ("http://switch.dl.sourceforge.net/sourceforge/mingw/openssl-0.9.8g-1-MSYS-1.0.11-2-dll098.tar.gz",
                        "52d4bf6a15a93bccdb7ddf48198366cb")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "openssl-0.9.8g-1-MSYS-1.0.11-2-dll098.tar.gz",
                      self.config.PREFIX.join (Path ("msys")))

  def patch (self):
    pass

  def compile (self):
    pass

  def install (self):
    pass

def packages():
  return [ OpenSSL() ]
