from package import Package
import utils
from buildutils import download_and_check, configure, make, apply_patch
from Path import Path

class BinUtils(Package):
  def full_name (self):
    return "binutils-2.19.1"

  def download (self):
    download_and_check ("http://switch.dl.sourceforge.net/sourceforge/mingw/binutils-2.19.1-mingw32-bin.tar.gz", 
                        "6bba3bd1bf510d152a42d0beeeefa14d")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "binutils-2.19.1-mingw32-bin.tar.gz",
                      self.config.PREFIX.join (Path ("mingw")))

  def patch (self):
    pass

  def compile (self):
    pass

  def install (self):
    pass

def packages():
  return [ BinUtils() ]
