from package import Package
import utils
from buildutils import download_and_check, configure, make, apply_patch
from Path import Path

class GccGxx(Package):
  def full_name (self):
    return "gcc-g++-3.4.5"

  def download (self):
    download_and_check ("http://switch.dl.sourceforge.net/sourceforge/mingw/gcc-g++-3.4.5-20060117-3.tar.gz", 
                        "b3e7875d160fd8df2b13c5448ca78c4e")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "gcc-g++-3.4.5-20060117-3.tar.gz",
                      self.config.PREFIX.join (Path ("mingw")))

  def patch (self):
    pass

  def compile (self):
    pass

  def install (self):
    pass

def packages():
  return [ GccGxx() ]
