from package import Package
import utils
from buildutils import download_and_check, configure, make, apply_patch
from Path import Path

class MinGWRTDll(Package):
  def full_name (self):
    return "mingwrt-3.15.2-dll"

  def download (self):
    download_and_check ("http://switch.dl.sourceforge.net/sourceforge/mingw/mingwrt-3.15.2-mingw32-dll.tar.gz", 
                        "688866a2de8d17adb50c54a2a1edbab4")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "mingwrt-3.15.2-mingw32-dev.tar.gz",
                      self.config.PREFIX.join (Path ("mingw")))

  def patch (self):
    pass

  def compile (self):
    pass

  def install (self):
    pass

def packages():
  return [ MinGWRTDll() ]
