from package import Package
import utils
from buildutils import download_and_check, configure, make, apply_patch
from Path import Path

class MSysCore(Package):
  def full_name (self):
    return "msysCORE-1.0.11-20080826"

  def download (self):
    download_and_check ("http://switch.dl.sourceforge.net/sourceforge/mingw/msysCORE-1.0.11-20080826.tar.gz", 
                        "b8d250f0522cb42aaa306fd3508ed113")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "msysCORE-1.0.11-20080826.tar.gz",
                      self.config.PREFIX.join (Path ("msys")))

  def patch (self):
    pass

  def compile (self):
    pass

  def install (self):
    pass

def packages():
  return [ MSysCore() ]
