from package import Package
import utils
from buildutils import download_and_check, configure, make, apply_patch
from Path import Path

class MSysCrypt(Package):
  def full_name (self):
    return "msyscrypt-1.1-1"

  def download (self):
    download_and_check ("http://switch.dl.sourceforge.net/sourceforge/mingw/crypt-1.1-1-MSYS-1.0.11-1.tar.bz2", 
                        "2d59cc6bf29ecc8b2e5d0d254e51f10f")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "crypt-1.1-1-MSYS-1.0.11-1.tar.bz2",
                      self.config.PREFIX.join (Path ("msys")))

  def patch (self):
    pass

  def compile (self):
    pass

  def install (self):
    pass

def packages():
  return [ MSysCrypt() ]
