from package import Package
import utils
from buildutils import download_and_check, configure, make, apply_patch
from Path import Path

class Vim(Package):
  def full_name (self):
    return "vim-7.1"

  def download (self):
    download_and_check ("http://switch.dl.sourceforge.net/sourceforge/mingw/vim-7.1-MSYS-1.0.11-1-bin.tar.gz", 
                        "badec9e8f1bc09e5c8a842b60daad8f5")

  def extract (self):
    utils.unpackFile (self.config.DOWNLOAD, "vim-7.1-MSYS-1.0.11-1-bin.tar.gz",
                      self.config.PREFIX.join (Path ("msys")))

  def patch (self):
    pass

  def compile (self):
    pass

  def install (self):
    pass

def packages():
  return [ Vim() ]
